--[[
  This file is part of Aenathel's String Search Fix, licensed under
  The MIT License. See the LICENSE file of this project for more information.
--]]

local ZO_StringSearch_Process = ZO_StringSearch.Process

ZO_StringSearch.Process = function(self, data, searchTerms)
  -- If we don't know which type this is, well, it could be anything. But it's
  -- probably a quest item or quest tool based on the error that happens if
  -- this fix is not included. Now, hiding these items wouldn't help, so we
  -- return true to indicate a match. Users will see an item potentially not
  -- matched by their search terms, but the alternative is a broken UI.
  if data.type == nil then return true end

  return ZO_StringSearch_Process(self, data, searchTerms)
end
